using System;
using System.Data;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using EKETEAM.FrameWork;
using EKETEAM.Data;

namespace eFrameWork.Manage
{
    public partial class ModelItems_Bulid : System.Web.UI.Page
    {
        public string modelid = eParameters.QueryString("modelid");
        protected void Page_Load(object sender, EventArgs e)
        {
            /*
            BulidCode code = new BulidCode(modelid);
            Response.Write("页面：<br>\r\n");
            Response.Write("<textarea name=\"textarea\" cols=\"100\" rows=\"10\" style=\"width:100%;\"  onBlur=\"setModel(this,'addjs');\">" + code.getAspxCode2005() + "</textarea><br>\r\n");
            Response.Write("代码：<br>\r\n");
            Response.Write("<textarea name=\"textarea\" cols=\"100\" rows=\"10\"  onBlur=\"setModel(this,'editjs');\">" + code.getCsCode2005() + "</textarea><br>\r\n");

            //string Path= Server.MapPath("../") + "system\\";
            //eBase.WriteFile(Path + "ArticleX.aspx", code.getAspxCode());
            //eBase.WriteFile(Path + "ArticleX.aspx.cs", code.getCsCode());

            //eBase.WriteFile(code.aspxPath, code.getAspxCode2005());
            //eBase.WriteFile(code.csPath, code.getCsCode2005());

            eBase.WriteFile(code.aspxPath, code.getAspxCode2012());
            eBase.WriteFile(code.csPath, code.getCsCode2012());
            eBase.WriteFile(code.designerPath, code.getDesignerCode2012());
            Response.End();
            */
        }
    }
}